=== debian/changelog ===
tix (8.4.3-7) unstable; urgency=medium

  * applied Artur Rona's patch (thanks Artur!), Closes: #778859, Closes: #722847 

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Feb 2015 04:02:31 +0100

tix (8.4.3-6) unstable; urgency=medium

  * upgraded Standards-Version to 3.9.6
  * removed build-dependencies and dependencies on tcl/tk 8.5,
    replaced them with dependencies on tcl/tk 8.6
  * added a patch to fix "interp->result" bugs; this construct was
    deprecated in tcl8.5 and removed from tcl8.6; however the patch is just
    a workaround for now, since it adds "#define USE_INTERP_RESULT 1"
    before the "#include <tcl.h>"
  * changed the variable tk_version in debian/rules, to fit tk8.6
  * removed Conflicts clauses about packages which no longer exist

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Nov 2014 12:10:19 +0100

tix (8.4.3-5) unstable; urgency=low

  * The current version is up to date with upstream. Closes: #433661
  * changed a dependency:instaed of dependending on tcl8.5|tclsh, the
    new dependency is on tcl(>=8.5.0), which provides tclsh, and depends
    in turn on tcl8.5(>=8.5.0), and in fact higher versions of tcl8.5
    when they are taken from jessie. Closes: #725697
  * As the current release has been downloaded from upstream in year 2010,
    as bug #214697 has been forwarded upstream, then tagged as fixed-upstream
    in 2008, as the original reporter did not send a working example for the
    bug since then, this presumably Closes: #214697
  * moved the file tix.tmac from the package tix to the package
    tix-dev, in order to make te man macros available in the same
    package than the manpages.
  * wrote into debian/TODO a few hints about a fix to send to lintian
    maintainers. The reason for it is that man macros are named tix.tmac
    and are stored in /usr/share/groff/1.22.2/tmac, which triggers a load
    of lintian warnings, since this path is not the usual path for groff
    macros.
  * reported a bug to lintian maintainers about this issue, with a patch
    to fix it.
  * upgraded Standards-Version to 3.9.5
  * removed articles from descriptions in debian/control
  * retitled the O bug in ITA. Closes: #395963

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Jan 2014 18:17:24 +0100

tix (8.4.3-4) unstable; urgency=low

  * QA upload.
  * Remove tixwish manpages (Closes: #407212)
  * Fix permissions on /usr/share/tcltk/tcl8.5/Tix8.4.3/pref/WmDefault.tcl
  * Rename man macros to tic.tmac
  * Store tic.tmac in /usr/share/groff/1.20.1/tmac
  * Remove usr/share/tcltk/tcl8.5/Tix8.4.3/license.terms
  * Fix missing soname

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 12 Apr 2010 08:25:58 +0200

tix (8.4.3-3) unstable; urgency=low

  * QA upload.
  * Switch to 3.0 (quilt) source format.
  * Apply patch from Petr Salinger to build on kfreebsd-*. Closes: #575003.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Apr 2010 19:38:00 +0200

tix (8.4.3-2) unstable; urgency=low

  * QA upload.
  * Set $dir to /usr/lib in pkgIndex.tcl
  * Move /usr/share/tix8.3 to /usr/share/tcltk/tk8.5/Tix8.4.3

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 15 Mar 2010 16:27:40 +0100

tix (8.4.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release

  [Raphael Geissert]
  * Fix watch file (Closes: #449786)

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Fri, 12 Mar 2010 18:02:57 +0100

tix (8.4.0-7) unstable; urgency=low

  * QA upload.
  * Add ${shlibs:Depends} to tix's Depends line (Closes: #553241).

 -- Matt Kraai <kraai@debian.org>  Sat, 07 Nov 2009 04:43:20 -0800

tix (8.4.0-6) unstable; urgency=low

  * QA upload.
  * Install man.macros as /usr/share/tixman.macros. Fix all the manpages
    accordingly. (Closes: #394635).
  * Updated Standards version, to 3.7.2, no changes needed.
  * Ack previous NMUS (Closes: #360920, #366266, #374623, #359804).
  * Created debian/compat, at value 5.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 31 Oct 2006 08:44:36 +0100

tix (8.4.0-5) unstable; urgency=low

  * Orphan the package.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Oct 2006 02:50:16 +0200
   

tix (8.4.0-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Modified debian/rules to manually install missing tix.h (Closes: #360920). 

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 21 Oct 2006 20:57:25 +0200

tix (8.4.0-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch by Petr Salinger to fix shared library building on
    GNU/kFreeBSD and GNU/Hurd (closes: #366266, #374623). 
  * Rerun aclocal and autoconf.

 -- Michael Banck <mbanck@debian.org>  Mon, 26 Jun 2006 18:49:10 +0200

tix (8.4.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Hack around the TEA autoconf macros to set a proper soname for the shared
    library. (Closes: #359804)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Jun 2006 22:58:18 +0200

tix (8.4.0-4) unstable; urgency=low

  * Fix loading of Tix module (closes: #350816).

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2006 15:28:01 +0100

tix (8.4.0-3) unstable; urgency=low

  * Remove more debugging cruft (closes: #344657).

 -- Matthias Klose <doko@debian.org>  Fri, 30 Dec 2005 00:29:59 +0100

tix (8.4.0-2) unstable; urgency=low

  * debian/rules: Fix typo (closes: #344657).

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2005 14:21:41 +0100

tix (8.4.0-1) unstable; urgency=low

  * Rename as tix-8.4.0.
  * tclinclude/tcl.m4: Fix syntax error (closes: #343990).
  * Remove version information from package description (closes: #335673).

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2005 01:22:04 +0000

tix (8.4-2) unstable; urgency=low

  * Fix FTBFS on GNU/Hurd and GNU/kFreeBSD (closes: #335257).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2005 12:46:43 +0000

tix (8.4-1) unstable; urgency=low

  * New upstream version.
  * Rename from tix8.1 to tix.


