=== debian/control ===
Source: tix
Section: libs
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Standards-Version: 3.9.6
Build-Depends: tcl-dev, tk-dev, debhelper, perl, groff (>= 1.20.1)

Package: tix
Section: libs
Architecture: any
Depends: tcl (>= 8.6.0) | tclsh, ${shlibs:Depends}, ${misc:Depends}
Description: Tix library for Tk -- runtime package
 The Tix library for Tk extends Tk with new widgets like:
    o panned windows,
    o hierarchical lists,
    o folders,
    o combo boxes,
    o help balloons,
    o and many others.
 .
 The Tix look and feel is really good. Additionally, Tix eases construction
 of mega-widget and has a full-fledged C interface as well.

Package: tix-dev
Section: devel
Architecture: any
Depends: tix (= ${binary:Version}), tk-dev, tcl-dev,
 ${shlibs:Depends}, ${misc:Depends}
Description: Tix library for Tk -- development package
 The Tix library for Tk extends Tk with new widgets.
 .
 This package includes files, static libraries, man pages for Tix.
